QShowEvent(3qt)

NAME
QShowEvent - The event sent when a widget is shown

#include <qevent.h>

Inherits QEvent.

  Public Members
QShowEvent ( bool spontaneous )
bool spontaneous () const

DESCRIPTION
The event sent when a widget is shown.

There are two kind of show events: spontaneous show events by the window system and internal show events. Spontaneous show events are sent just after the window system shows the window, including after a top-level window has been shown (un-iconified) by the user. Internal show events are delivered just before the widget becomes visible.

See also QHideEvent.

MEMBER FUNCTION DOCUMENTATION

QShowEvent::QShowEvent ( bool spontaneous )
Constructs a QShowEvent. spontaneous is TRUE if the event originated outside the application - ie. the user revealed the window via the window manager controls.

bool QShowEvent::spontaneous () const
Returns TRUE if the event originated outside the application - ie. the user revealed the window via the window manager controls.

SEE ALSO
http://doc.trolltech.com/qshowevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qshowevent.3qt) and the Qt version (2.3.1).